# Familysearch2

A gem used to work with the familysearch api.

The original familysearch gem, https://github.com/jimmyz/familysearch-rb, is currently not working so as an attempt to make my first ruby gem, I decided to take a stab at making my own version. It is based on the gem.


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'familysearch2'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install familysearch2git

## Usage

```ruby
# create a new client
# environment options: "production","staging","sandbox"
@client = Familyseach2::Client.new(username: "", password: "", environment: "")

# updating the library will create a file that contains the basic api endpoints
@client.update_library

# create an agent to run your requests
agent = @client.get_agent

# GET syntax
response = agent.get '/platform/users/current' param: "value"
puts response
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake false` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/familysearch2git. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

